Skip to main content

Repo

Endpoint​

PUT /api/v1/admin/repo

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
401indicates the user does not have proper permissions

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

Note: You must provide the entire repo object, as this endpoint overwrites the existing entry for the repo.

File​

{
"id": 1,
"user_id": 1,
"org": "github",
"name": "octocat",
"full_name": "github/octocat",
"link": "https://github.com/github/octocat",
"clone": "https://github.com/github/octocat.git",
"branch": "main",
"build_limit": 10,
"timeout": 60,
"counter": 0,
"visibility": "public",
"private": false,
"trusted": true,
"active": true,
"allow_pull": true,
"allow_push": true,
"allow_deploy": false,
"allow_tag": true,
"allow_comment": false,
"pipeline_type": "yaml"
}

Request​

curl \
-X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d "@data.json" \
"http://127.0.0.1:8080/api/v1/admin/repo"

Response​

{
"id": 1,
"user_id": 1,
"org": "github",
"name": "octocat",
"full_name": "github/octocat",
"link": "https://github.com/github/octocat",
"clone": "https://github.com/github/octocat.git",
"branch": "main",
"build_limit": 10,
"timeout": 60,
"counter": 0,
"visibility": "public",
"private": false,
"trusted": true,
"active": true,
"allow_pull": true,
"allow_push": true,
"allow_deploy": false,
"allow_tag": true,
"allow_comment": false,
"pipeline_type": "yaml"
}